New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Setup

Poll setup progress

GET
/api/v1/setup/progress

Return current backend installation status, message, and percentage.

Response Body

Successful Response

application/json
  1. response
status*Status

Installation status (downloading, complete, error, restart_required)

message*Message

Human-readable progress message

percent*Percent

Installation progress percentage (0-100)

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/setup/progress'
Example Response200
{  "status": "string",  "message": "string",  "percent": 0}